%define upstream_name	 Gtk3-WebKit
%define	upstream_version 0.06

%define perl_glib_require 1.240
%define gtk_require 2.22.1

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:    Perl module for the webkit-3.x library
License:    LGPLv2+ or Artistic
Group:      Development/GNOME and GTK+
Url:        http://gtk2-perl.sf.net/
Source0:    http://prdownloads.sourceforge.net/gtk2-perl/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     WebKit2.diff
BuildArch:  noarch

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(Glib::Object::Introspection)
BuildRequires: perl(Gtk3)
BuildRequires: perl(Test::NeedsDisplay)
BuildRequires: perl-devel
BuildRequires: perl-ExtUtils-Depends >= 0.300
BuildRequires: perl-ExtUtils-PkgConfig >= 1.03
BuildRequires: perl-Glib-Object-Introspection >= 0.002
BuildRequires: pkgconfig(gobject-introspection-1.0)

%description
This module provides the Perl bindings for the Gtk port of WebKit.

WebKit is a web content engine, derived from KHTML and KJS from KDE, and used
primarily in Apple's Safari browser and Google's Chrome browser. It is made to
be embedded in other applications, such as mail readers, or web browsers.

It is able to display content such as HTML, SVG, XML, and others. It also
supports DOM, XMLHttpRequest, XSLT, CSS, Javascript/ECMAscript and more.

%package -n perl-Gtk3-WebKit2
Summary: Perl module for the webkit-4.x library

%description -n perl-Gtk3-WebKit2
This module provides the Perl bindings for the Gtk port of WebKit.

WebKit is a web content engine, derived from KHTML and KJS from KDE, and used
primarily in Apple's Safari browser and Google's Chrome browser. It is made to
be embedded in other applications, such as mail readers, or web browsers.

It is able to display content such as HTML, SVG, XML, and others. It also
supports DOM, XMLHttpRequest, XSLT, CSS, Javascript/ECMAscript and more.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%apply_patches
%__perl Makefile.PL INSTALLDIRS=vendor

%build
%make OPTIMIZE="%{optflags}"

%install
%makeinstall_std

rm -f %buildroot/usr/lib/perl5/vendor_perl/5.22.3/Gtk3/WebKit2.pm.0000

%files
%doc COPYING Changes LICENSE META.yml MYMETA.yml README examples
%{perl_vendorlib}/Gtk3/WebKit.pm
%_mandir/*/Gtk3::WebKit.*

%files -n perl-Gtk3-WebKit2
%{perl_vendorlib}/Gtk3/WebKit2.pm
%_mandir/*/Gtk3::WebKit2.*

%changelog
* Mon Jul 10 2017 bb2 <bb2> - 0.60.0-7pclos2017
- rebuild against updates

